# std::error_category::message

From cppreference.com
< cpp‎ | error‎ | error category

virtual std::string message( int condition ) const = 0; |  | (since C++11)

Returns a string describing the given error condition for the error category represented by *this.

### Parameters

condition | - | specifies the error condition to describe

### Return value

A string describing the given error condition.

### Exceptions

(none)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_category/message&oldid=69276"